body {
    font-family: 'Roboto', sans-serif;
}

.outer-wrapper {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.beige {
    background-color: #F1EFDC;
}

.first {
    background-image: url(images/header-picture.jpg);
}

.inner-wrapper {
    width: 90%;
    max-width: 1100px;
    margin: 0 auto;
    padding-top: 30px;
    padding-bottom: 30px;
}

.header {
    position: relative;
    width: 100%;
    height: 520px;
}

.top-links {
    display: flex;
    justify-content: flex-end;
    gap: 4px;
}

.name-frontend-background {
    flex-direction: column;
    font-family: 'Montserrat', sans-serif;
    width: 60%;
    height: 202px;
    color: #F1EFDC;
    padding-top: 121px;
}

.portfolio-name {
    display: flex;
}

.portfolio {
    line-height: 18px;
    margin-right: 3px;
}

.name {
    font-weight: bold;
    line-height: 18px;
}

.front-end {
    font-weight: 500;
    font-size: 40px;
    line-height: 50px;
    letter-spacing: 2px;
}

.background {
    font-weight: 500;
    font-size: 30px;
    line-height: 40px;
}

.profile-picture {
    position: absolute;
    right: 24px;
    bottom: -10%;
    border: 2px white solid;
    border-radius: 50%;
    width: 250px;
    height: 250px;
    object-fit: cover;
}

.presentation {
    font-family: 'Montserrat', sans-serif;
    line-height: 29px;
    padding-top: 40px;
    padding-bottom: 40px;
}

.presentation-text {
    display: inline;
    margin: 8px;
}

.tech {
    text-align: center;
    padding-top: 40px;
    padding-bottom: 40px;
}

h2 {
    font-family: 'Montserrat', sans-serif;
    font-size: 22px;
    font-weight: 700;
    display: inline;
    margin-bottom: 30px;
    padding: 4px;
    text-align: center;
}

.one {
    background-color: #42032C;
    color: #F1EFDC;
}

.two {
    color: #42032C;
}

.tech-knowledge {
    font-family: 'Montserrat', sans-serif;
    padding-top: 20px;
    line-height: 29px;
}

.main-projects {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-content: center;
}

.secondary-projects {
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-content: center;
}

.projects-heading {
    font-weight: 700;
    color: #42032C;
    font-size: 17px;
    line-height: 29px;
    letter-spacing: 1%;
}

.projects-paragraph {
    font-weight: 400;
    line-height: 29px;
    letter-spacing: 1%;
}

.tag-wrapper {
    display: flex;
    flex-wrap: wrap;
    padding-bottom: 30px;
}

.tag-wrapper p {
    font-family: "Roboto", sans-serif;
    color: #2b2e34;
    font-weight: bold;
    background-color: #db9aab;
    display: inline;
    text-decoration: none;
    line-height: 12px;
    padding: 4px;
    margin: 3px;
    border-radius: 5px;
}

.featured-projects img {
    margin-top: 30px;
    margin-bottom: 30px;
    width: 100%;
    height: 300px;
    object-fit: cover;
}

.thoughts {
    display: flex;
    flex-direction: column;
    background-color: white;
    align-items: center;
    margin-top: 30px;
    margin-bottom: 30px;
}

.thoughts-text {
    display: flex;
    flex-direction: column;
}

.thoughts img {
    width: 100%;
    height: auto;
    margin-bottom: 30px;
    box-sizing: border-box;
}

.first-thought {
    display: flex;
    flex-direction: column;
    margin-top: 30px;
    margin-bottom: 30px;
}

.second-thought {
    display: flex;
    flex-direction: column;
    margin-top: 20px;
    margin-bottom: 20px;
    text-decoration: underline;
}

.other-thoughts {
    margin-top: 20px;
    margin-bottom: 20px;
    text-decoration: underline;
}

span {
    color: #D36B00;
    font-weight: bold;
}

.second-thought img {
    display: none;
}

.other-thoughts img {
    display: none;
}

.second-thought p {
    display: none;
}

.other-thoughts p {
    display: none;
}

.thoughts-date {
    font-size: 17px;
    color: #42032C;
}

.thoughts-heading {
    font-size: 21px;
    font-weight: 700;
    line-height: 30px;
}

.thoughts-paragraph {
    font-size: 17px;
    line-height: 30px;
}

.skills {
    flex: 1;
    text-align: center;
    font-size: 17px;
    line-height: 29px;
    margin-top: 30px;
    margin-bottom: 30px;
}

.columns {
    display: flex;
    text-align: center;
    column-gap: 30%;
    column-width: 20%;
}

.skills h6 {
    color: #42032C;
}

.for-more {
    text-align: center;
    padding-top: 30px;
    padding-bottom: 30px;
}

.for-more-grid {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    margin-top: 50px;
    margin-bottom: 30px;
}

.grid {
    display: grid;
    justify-items: center;
    align-items: center;
    grid-gap: 10px;
}

footer {
    display: flex;
    flex-direction: column;
    color: #F1EFDC;
    background-color: #D36B00;
    font-family: 'Montserrat', sans-serif;
    align-items: center;
    justify-content: center;
    height: 302px;
}

.contact {
    font-size: 21px;
    font-weight: bold;
    padding-bottom: 20px;
}

.contact-information {
    font-size: 17px;
    text-align: center;
    line-height: 25px;
}

a {
    color: #F1EFDC;
    text-decoration: none;
}

a:visited {
    color: #F1EFDC;
}

.other-projects img {
    display: none;
}

@media (min-width: 1025px) {
    .inner-wrapper {
        width: 70%;
    }

    .main-projects {
        flex-direction: row;
        flex-wrap: wrap;
        justify-content: space-around;
    }

    .all-projects {
        flex-direction: row;
        flex-wrap: wrap;
    }

    .featured-projects {
        width: 45%;
    }

    .other-projects {
        width: 60%;
    }

    .second-thought img {
        display: none;
    }
}